跳转到主要内容
GET
/
order
List Orders
curl --request GET \
  --url https://uat-api.clinkbill.com/api/order \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "total": 123,
  "rows": [
    {
      "orderId": "<string>",
      "merchantReferenceId": "<string>",
      "invoiceId": "<string>",
      "customerId": "<string>",
      "customerEmail": "<string>",
      "createTime": 1754819711382,
      "productId": "<string>",
      "priceId": "<string>",
      "priceDataList": [
        {
          "name": "<string>",
          "unitAmount": 1,
          "quantity": 2,
          "currency": "<string>",
          "imageUrl": "<string>"
        }
      ],
      "paymentMethod": {
        "paymentMethodType": "CARD",
        "paymentInstrumentId": "<string>"
      },
      "paymentExecutionDetails": [
        {
          "channelCode": "<string>",
          "channelTransactionId": "<string>",
          "originalFailureCode": "<string>",
          "originalFailureMessage": "<string>"
        }
      ],
      "amountSubtotal": 9.99,
      "amountTotal": 9.99,
      "paymentCurrency": "USD",
      "originalCurrency": "USD",
      "paymentTime": 1754819711382,
      "sessionId": "<string>",
      "metadata": {},
      "riskLevel": "<string>"
    }
  ],
  "code": 200,
  "msg": "success"
}

授权

X-API-KEY
string
header
必填

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
必填

Current timestamp in milliseconds since Unix epoch (required for request signing)

查询参数

subscriptionId
string

Subscription ID used to filter recurring orders

customerId
string

Customer ID used to filter orders

pageNum
integer<int32>
默认值:1

Current page number. Defaults to 1.

pageSize
integer<int32>
默认值:20

Number of records per page. Defaults to 20. The maximum is 50; larger values are capped at 50.

必填范围: x <= 50

响应

Orders retrieved successfully

Table Paging Data Object

total
integer<int64>

Total number of records

rows
object[]

List of data

code
integer<int32>

Response status code, 200 when success

示例:

200

msg
string

Brief description of what happened, 'success' when happy case

示例:

"success"